Subject: Re: bug#15019: 24.3.50; GnuTLS 3.2.3 Is incompatible wit Gnus/emacs-trunk

From: Ted Zlatanov <[email-masked]>
Date: Wed, 09 Oct 2013 10:43:11 -0400

On Tue, 08 Oct 2013 10:38:05 +0300 Oleksii Shevchuk <[email-masked]> wrote: 

Thank you for the logs, but as an attachment they would have been easier
to read :)

I see that you're using the priority string NORMAL:+COMP-DEFLATE...

OS> Also, looks like there are no issues when connecting with gnutls-cli, at least I get 

OS> * OK [CAPABILITY IMAP4rev1 LITERAL+ SASL-IR LOGIN-REFERRALS ID ENABLE IDLE AUTH=PLAIN AUTH=LOGIN AUTH=DIGEST-MD5 AUTH=CRAM-MD5] Dovecot ready.

Did you use the same priority string here?  Can you show the exact
`gnutls-cli' invocation?

>> Is this a publicly available server we can test?
>> Can the server log things in more detail?

OS> This is my own dovecot server on localhost. I can add test logins, if
OS> necessary, but looks like it hangs before authentication phase. There
OS> are no any interesting messages at serverside at first look.

OS> Only thing I get when 'C-g' gnus is:
OS> dovecot: imap-login: Disconnected (no auth attempts in 40 secs): user=<>, rip=..., lip=..., TLS: Disconnected, session=<HpUWrDXo+QCsEADS>

>From our side this looks clean, I have to assume that the breakage is
between the GnuTLS library (probably in its configuration, so I would
immediately hunt for the priority string) and the server.

Thanks!
Ted